<?php
/*
Plugin Name: Mouse Fireworks Effect
Description: Adds a fireworks animation effect that follows the mouse cursor
Version: 1.0
Author: AnonyViet
Plugin URI: https://anonyviet.com
*/

// Prevent direct access
if (!defined('ABSPATH')) {
    exit;
}

function fireworks_enqueue_scripts() {
    wp_enqueue_style('fireworks-style', plugins_url('css/fireworks.css', __FILE__));
    wp_enqueue_script('fireworks-script', plugins_url('js/fireworks.js', __FILE__), array(), '1.0', true);
}
add_action('wp_enqueue_scripts', 'fireworks_enqueue_scripts');

function fireworks_add_canvas() {
    echo '<canvas id="fireworksCanvas"></canvas>';
}
add_action('wp_footer', 'fireworks_add_canvas');
